Subject: Re: bug#7648: ylwrap appears not to support bison's lalr1.cc skeleton

From: Stefano Lattarini <[email-masked]>
Date: Tue, 18 Jan 2011 14:29:24 +0100

Hello automakers, James.

JFTR, the "renamed header" part of this bug:

 > On Wednesday 15 December 2010, James Bostock wrote:
 >> Hi,
 >>
 >> Automake version 1.11.1
 >> Autoconf version 2.67
 >> Bison versions 1.875 and 2.4.1
 >>
 >> If bison is directed to use the lalr1.cc skeleton file then although
 >> ylwrap renames the files generated by bison, it does not update the
 >> generated parser source code to #include the renamed header file.

had already been reported in PR automake/491 (dating back to 2006!):
 <http://sources.redhat.com/cgi-bin/gnatsweb.pl?database=automake&pr=491>

Another good reason to fix the bug before the next release, I'd say.
I still plan to (try to) do so myself, even if not right away (but
hopefully, soonish enough).

Regards,
  Stefano